randn

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
randn
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Functions to create arrays.

Create a random array sampled from a normal distribution. More...

## Functions
AFAPI array | randn (const dim4 &dims, const dtype ty=f32)
AFAPI array | randn (const dim_t d0, const dtype ty=f32)
AFAPI array | randn (const dim_t d0, const dim_t d1, const dtype ty=f32)
AFAPI array | randn (const dim_t d0, const dim_t d1, const dim_t d2, const dtype ty=f32)
AFAPI array | randn (const dim_t d0, const dim_t d1, const dim_t d2, const dim_t d3, const dtype ty=f32)
AFAPI af_err | af_randn (af_array *out, const unsigned ndims, const dim_t *const dims, const af_dtype type)

## Detailed Description

Create a random array sampled from a normal distribution.

The distribution is centered around 0

## Function Documentation

AFAPI af_err af_randn | ( | af_array * | out,
|  | const unsigned | ndims,
|  | const dim_t *const | dims,
|  | const af_dtype | type
| ) |  |

Parameters

  [out] | out | is the generated array
  [in] | ndims | is size of dimension array `dims`
  [in] | dims | is the array containing sizes of the dimension
  [in] | type | is the type of array to generate

AFAPI array af::randn | ( | const dim4 & | dims,
|  | const dtype | ty = `f32`
| ) |  |

Parameters

  [in] | dims | is the dimensions of the array to be generated
  [in] | ty | is the type of the array

Returns
  array of size `dims`

Examples:
  heston_model.cpp, monte_carlo_options.cpp, and surface.cpp.

AFAPI array af::randn | ( | const dim_t | d0,
|  | const dtype | ty = `f32`
| ) |  |

Parameters

  [in] | d0 | is the size of the first dimension
  [in] | ty | is the type of the array

Returns
  array of size `d0`

AFAPI array af::randn | ( | const dim_t | d0,
|  | const dim_t | d1,
|  | const dtype | ty = `f32`
| ) |  |

Parameters

  [in] | d0 | is the size of the first dimension
  [in] | d1 | is the size of the second dimension
  [in] | ty | is the type of the array

Returns
  array of size `d0` x `d1`

AFAPI array af::randn | ( | const dim_t | d0,
|  | const dim_t | d1,
|  | const dim_t | d2,
|  | const dtype | ty = `f32`
| ) |  |

Parameters

  [in] | d0 | is the size of the first dimension
  [in] | d1 | is the size of the second dimension
  [in] | d2 | is the size of the third dimension
  [in] | ty | is the type of the array

Returns
  array of size `d0` x `d1` x `d2`

AFAPI array af::randn | ( | const dim_t | d0,
|  | const dim_t | d1,
|  | const dim_t | d2,
|  | const dim_t | d3,
|  | const dtype | ty = `f32`
| ) |  |

Parameters

  [in] | d0 | is the size of the first dimension
  [in] | d1 | is the size of the second dimension
  [in] | d2 | is the size of the third dimension
  [in] | d3 | is the size of the fourth dimension
  [in] | ty | is the type of the array

Returns
  array of size `d0` x `d1` x `d2` x `d3`